> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anthid.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organization by provider id

> Looks up an organization by provider and provider-owned organization id. Service-account callers can read any organization. User callers can read organizations they belong to.



## OpenAPI

````yaml /api-reference/organizations.openapi.json get /v1/organizations/by-provider/{provider}/{provider_id}
openapi: 3.1.0
info:
  title: organizations
  description: ''
  license:
    name: ''
  version: 0.1.0
servers:
  - url: https://api.anthid.com
    description: Production
security: []
tags:
  - name: Organizations
    description: Organizations API
paths:
  /v1/organizations/by-provider/{provider}/{provider_id}:
    get:
      tags:
        - Organizations
      summary: Get organization by provider id
      description: >-
        Looks up an organization by provider and provider-owned organization id.
        Service-account callers can read any organization. User callers can read
        organizations they belong to.
      operationId: getOrganizationByProviderId
      parameters:
        - name: provider
          in: path
          description: Organization provider. Only `workos` is supported.
          required: true
          schema:
            type: string
        - name: provider_id
          in: path
          description: Provider-owned organization id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Organization found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Organization'
        '400':
          description: Unsupported provider or invalid request
          content:
            text/plain:
              schema:
                type: string
        '401':
          description: Missing or invalid authentication credentials
          content:
            text/plain:
              schema:
                type: string
        '403':
          description: Caller cannot read this organization
          content:
            text/plain:
              schema:
                type: string
        '404':
          description: Organization was not found
          content:
            text/plain:
              schema:
                type: string
        '429':
          description: Caller exceeded the request rate limit
          content:
            text/plain:
              schema:
                type: string
        '500':
          description: Unexpected server error while reading the organization
          content:
            text/plain:
              schema:
                type: string
      security:
        - bearerAuth: []
        - clientCredentials: []
components:
  schemas:
    Organization:
      type: object
      required:
        - id
        - external_id
        - provider
        - name
        - disabled
        - created_at
      properties:
        created_at:
          type: string
          format: date-time
        disabled:
          type: boolean
        external_id:
          type: string
        id:
          type: string
          format: uuid
        name:
          type: string
        provider:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    clientCredentials:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Machine bearer token minted via the client_credentials grant.

````